commit e15485ab1b24b4ba9288ae71e9dbcbb9d73f9969
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Jan 5 01:18:35 2022

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 6bcaed3fc35..430a7046c31 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220104
+20220105
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index dad3f81bda7..350049f3a6f 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,16 @@
+2022-01-04  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-08-28  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/bits/alloc_traits.h (allocator_traits): Add explicit
+	specialization for allocator<void>. Improve doxygen comments.
+	* include/bits/allocator.h (allocator<void>): Restore for the
+	versioned namespace.
+	(allocator<void>::construct, allocator<void>::destroy): Remove.
+	* include/ext/extptr_allocator.h (_Extptr_allocator<void>):
+	Add default constructor and converting constructor.
+
 2021-12-10  Thomas Rodgers  <rodgert@twrodgers.com>
 
 	Backported from master:

